#ifndef UART_KEY_DRV_H_
#define UART_KEY_DRV_H_

//UART7 key use
#define KEY_UART_HEAD 	0xFF
#define KEY_UART_END 		0xFE

extern void sys_display_led_state(unsigned int aState);
extern void sys_set_key_self_detect_state(unsigned char self_det_state);
extern void sys_set_key_reset_state(void);
extern void sys_set_key_reset_dump_state(void);
extern void sys_set_power_suply_count(unsigned char aCnt);
extern void sys_get_power_ver(unsigned char power_ord);
extern void sys_get_sw_brd_ver(void);
extern void sys_get_sw_brd_descp(void);
extern void sys_set_scan_power(void);
extern void sys_get_power_Count(void);

extern void sys_error_led_task(void);

extern void sys_key_uart_tx_task(void);

extern void lcd_bl_on(void);
extern void lcd_bl_off(void);

extern void uart_key_task(void);

#endif
